async function fetch_saves() {
	const saves = document.getElementById('saves');
	let resp = await fetch('/api/list');

	if (!resp.ok) {
		return;
	}

	let data = await resp.json();
	data.sort();

	for (let id of data) {
		let resp = await fetch(`/api/save/${id}/html`);

		if (resp.ok) {
			let data = await resp.text();
			var div = document.createElement('div');
			div.innerHTML = data;
			saves.appendChild(div.firstChild);
		}
	}
}


async function update_save(id) {
	const save = document.getElementById(id);
	const resp = await fetch(`/api/save/${id}/reload`);

	if (!resp.ok){
		return;
	}

	const data = await resp.json();

	save.getElementsByClassName('name')[0].innerHTML = data.name;

	save.getElementsByClassName('level')[0]
		.getElementsByClassName('value')[0].innerHTML = data.level;

	save.getElementsByClassName('xp')[0]
		.getElementsByClassName('value')[0].innerHTML = data.xp;

	save.getElementsByClassName('money')[0]
		.getElementsByClassName('value')[0].innerHTML = data.money;

	save.getElementsByClassName('eridium')[0]
		.getElementsByClassName('value')[0].innerHTML = data.eridium;

	save.getElementsByClassName('readonly')[0]
		.getElementsByClassName('value')[0].innerHTML = data.readonly ? 'Yes' : 'No';

	save.getElementsByClassName('filename')[0]
		.getElementsByClassName('value')[0].innerHTML = data.filename;
}


async function toggle_readonly(id) {
	const resp = await fetch(`/api/save/${id}/toggle`);

	if (!resp.ok) {
		return;
	}

	const data = await resp.json();

	document.getElementById(id)
		.getElementsByClassName('readonly')[0]
		.getElementsByClassName('value')[0].innerHTML = data.readonly ? 'Yes' : 'No';
}
